Soru:

ArcGIS Pro’da TLS 1.2’yi nasıl etkinleştirebilirim?

Cevap:

Esri, en son çıkan güvenlik protokollerini kullanarak ArcGIS Platformu için güçlü bir güvenlik sistemi inşa etmek ve sağlamak için kendini adamıştır. Biz, veri entegrasyonu ve ağ güvenliği için TLS’i de içeren en yüksek endüstri standartlarını uygulamak için uğraşmaktayız.

Esri, bu standartlara ulaşmak için ArcGIS Platformunun bir ucundan diğer ucuna TLS 1.2’yi destekleyen yazılım güncellemeleri yapmaktadır. ArcGIS Online güvenliğini iyileştirmenin bir parçası olarak Esri, ArcGIS Online servisleri için TLS 1.2 bağlantısı gerektirir. Bu servislere sürekli erişim sağlamak için aksiyon almak gereklidir.

Not: ArcGIS Desktop’un yayınlanan her versiyonunun destek durumunu Esri Support sitesinden Product Life Cycle sayfalarında bulabilirsiniz.

Bu konuyu çözümlendirme adımları kullanılmakta olan ArcGIS Pro versiyonuna bağlıdır:

ArcGIS Pro 1.3 – 2.3 versiyonları:

TLS 1.2 kullanmak için herhangi bir işlem yapılmasına gerek yoktur. ArcGIS 1.3 – 1.4.1 versiyonları emekli olduğu için Esri’nin en son versiyona yükseltmeyi önerdiğini unutmayınız.

ArcGIS Pro 1.0 – 1.2 versiyonları:

TLS 1.0 destekleyen bu versiyonlar emekli olmuştur ve güncellenmeyecektir. Eğer emekli olmuş bir ArcGIS Pro versiyonu kullanmaya devam edecekseniz 2 seçeneğiniz bulunmaktadır:

  • ArcGIS Pro’nun desteklenen bir versiyonuna yükseltin (Önerilen).
  • İşletim sistemini TLS 1.2 kullanacak şekilde ayarlamak. Bu Microsoft .NET Framework’e bağlı tüm uygulamaların TLS 1.2 kullanmalarını sağlar.

Bkz. Windows, .NET4 Framework kullanan uygulamalar için TLS 1.2 kullanacak şekilde nasıl yapılandırılır?

Not: Hangi yaklaşımı kullanacağınıza karar vereceğinizde durumunuzu göz önünde bulundurun. .NET  ortamının ayarlanmasının TLS 1.2’yi etkinleştirmek ArcGIS ile herhangi bir probleme yol açmayacaktır fakat varsayılan TLS davranışının değiştirilmesi diğer uygulamaları etkileyebilir. Eğer gerekliyse nitelikli bir bilgisayar sistem profesyoneline danışın.

İlgili Bağlantılar:

Share This